Subject: Re: [PATCH net-next 14/15] net: dsa: sja1105: replace mdiobus-pcs with xpcs-plat driver

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Nov 2025 07:00:47 -0800

On Thu, 20 Nov 2025 12:32:37 +0000 Russell King (Oracle) wrote:
> On Wed, Nov 19, 2025 at 08:11:12AM -0800, Jakub Kicinski wrote:
> > On Wed, 19 Nov 2025 13:25:22 +0200 Vladimir Oltean wrote:  
> > > I think it's due to the fact that the "contest" checks are fundamentally
> > > so slow, that they can't be run on individual patch sets, and are run on
> > > batches of patch sets merged into a single branch (of which there seem
> > > to be 8 per day).  
> > 
> > Correct, looking at the logs AFAICT coccicheck takes 25min on a
> > relatively beefy machine, and we only run it on path that were actually
> > modified by pending changes. We get 100+ patches a day, and 40+ series,
> > and coccicheck fails relatively rarely. So on the NIPA side it's not
> > worth it.  
> 
> On "contest" I find when looking at patchwork, it's just best to ignore
> the result that NIPA posts for that, because more often than not it
> reports "fail" when there's nothing wrong.
> 
> For example, the qcom-ethqos patches - v1 passed contest, and this
> morning I submitted v2. The only change was removing the double space
> in patch 2. What I see in v2 is that _all_ the patches failed contest,
> even those that are unchanged and previously passed. This makes
> contest unreliable and IMHO misleading - and as such I hate it.

Fair, I'll fix it over the weekend. tl;dr it shows up as failing until
we get a clean run because of patchwork UI shortcomings.

Long version is that unfortunately patchwork UI does not show "pending"
tests on the main page. So when we eyeball the queue to get a sense
of patches which are fully validated its hard to tell "done" from 
"in progress". I believe BPF's KPD system also uses "fail until
finished", I'm guessing for the same reason. 

That said I stopped using the patchwork UI completely now, and switch 
to my own UIs within NIPA. So patchwork shortcomings are no longer 
a concern.